Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server.framestore.background
Enum ClientCacheRequestor.ThreadStatus

    java.lang.Object
      java.lang.Enum<ClientCacheRequestor.ThreadStatus>
          edu.stanford.smi.protege.server.framestore.background.ClientCacheRequestor.ThreadStatus

All Implemented Interfaces:
  Serializable, Comparable<ClientCacheRequestor.ThreadStatus>

Enclosing class:
  ClientCacheRequestor

    public static enum ClientCacheRequestor.ThreadStatus

extends Enum<ClientCacheRequestor.ThreadStatus>

Enum Constant Summary
`IDLE`
`RUNNING`
`SHUTDOWN`

Method Summary
`static ClientCacheRequestor.ThreadStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClientCacheRequestor.ThreadStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDLE

    public static final ClientCacheRequestor.ThreadStatus IDLE

### RUNNING

    public static final ClientCacheRequestor.ThreadStatus RUNNING

### SHUTDOWN

    public static final ClientCacheRequestor.ThreadStatus SHUTDOWN

Method Detail

### values

    public static final ClientCacheRequestor.ThreadStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ClientCacheRequestor.ThreadStatus c : ClientCacheRequestor.ThreadStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ClientCacheRequestor.ThreadStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.